<div class="row">
  <div class="column">
    <div *ngFor="let p of projects">
      <app-project [project]="p"></app-project>
    </div>
  </div>
  <div class="column">
    <form class="example-form">
      <mat-form-field class="example-full-width" appearance="fill">
        <mat-label>Project name</mat-label>
        <textarea [(ngModel)]="project.name" name="name" matInput placeholder="Name of your project"></textarea>
      </mat-form-field>

      <p>
        <mat-form-field class="example-full-width" appearance="fill">
          <mat-label>Description</mat-label>
          <textarea [(ngModel)]="project.description" name="description" matInput
            placeholder="Info about your project"></textarea>
        </mat-form-field>

        <mat-form-field appearance="fill">
          <mat-label>Choose team</mat-label>
          <mat-select [(ngModel)]="newTeamName" name="team">
            <mat-option  *ngFor="let team of teams" [value]="team.name" ngDefaultControl>
              {{team.name}}
            </mat-option>
          </mat-select>
        </mat-form-field>
        


        <mat-form-field appearance="fill" class="example-full-width">
          <mat-label>Choose a date</mat-label>
          <input [(ngModel)]="project.deadline" name="deadline" matInput [matDatepicker]="datepicker">
          <mat-datepicker-toggle matSuffix [for]="datepicker"></mat-datepicker-toggle>
          <mat-datepicker #datepicker>
            <mat-datepicker-actions>
              <button mat-button matDatepickerCancel>Cancel</button>
              <button mat-raised-button color="primary" matDatepickerApply>Apply</button>
            </mat-datepicker-actions>
          </mat-datepicker>
        </mat-form-field>
        <button mat-icon-button color="primary" matTooltip="Post it" (click)="sendProjects()">
          <mat-icon aria-label="Send">send</mat-icon>
        </button>


      </p>
      <p>{{newTeamName}}</p>




    </form>


  </div>
</div>